explain_acl_from_text_or_die(3)

NAME
explain_acl_from_text_or_die - create an ACL from text and report errors

SYNOPSIS
#include <libexplain/acl_from_text.h>

acl_t explain_acl_from_text_or_die(const char *text);
acl_t explain_acl_from_text_on_error(const char *text);

DESCRIPTION
The explain_acl_from_text_or_die function is used to call the acl_from_text(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_acl_from_text(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_acl_from_text_on_error function is used to call the acl_from_text(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_acl_from_text(3) function, but still returns to the caller.

text
    The text, exactly as to be passed to the acl_from_text(3) system call.

RETURN VALUE
The explain_acl_from_text_or_die function only returns on success, see acl_from_text(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_acl_from_text_on_error function always returns the value return by the wrapped acl_from_text(3) system call.

EXAMPLE
The explain_acl_from_text_or_die function is intended to be used in a fashion similar to the following example:
    acl_t result = explain_acl_from_text_or_die(text);

SEE ALSO

acl_from_text(3)
    create an ACL from text

explain_acl_from_text(3)
    explain acl_from_text(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2013 Peter Miller